Executions
List execution walks
Required API-key scope: executions:read.
Authorizations
x-api-key
string
header
required
Talus API Key in the form key_id.secret. The API also accepts Authorization: ApiKey <key_id.secret>, but the docs UI is configured to send x-api-key.
Path Parameters
execution_object_id
string
required
Execution object id
Query Parameters
status
string | null
page_token
integer | null
page_size
integer | null
200application/json
Paginated list of walks for an execution
items
object[]
required
created_at
string
required
failure_reason
string | null
id
integer<int32>
required
ports_data
object | null
required
status
string
required
updated_at
string
required
variant
string | null
vertex_iteration
integer | null
vertex_name
string
required
walk_index
integer<int64>
required
metadata
object
required
Pagination metadata included in every listing response.
next_token
integer | null
Token to pass as page_token to retrieve the next page. null means
there are no more pages.
total_items
integer<int64>
required
Total number of items across all pages.
400
Invalid filter value
404
Execution was not found
500
Internal server error